package com.yida.data.job.task;


import com.yida.data.school.feign.transaction.RemoteProductOrderService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Component
@Slf4j
@RequiredArgsConstructor
public class ApplyProductService {
    private final RemoteProductOrderService remoteProductOrderService;

    /**
     * 更新订单状态
     */
    public void updateOrderStatus() {
        remoteProductOrderService.updateOrderStatus();
    }

    /**
     * 更新退款订单状态
     */
    public void updateRefundStatus() {
        remoteProductOrderService.updateRefundStatus();
    }
}
